> For the complete documentation index, see [llms.txt](https://developers.hyp.co.il/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/hiding-other-elements-from-the-page.md).

# Hiding Other Elements from the Page

As shown in [Modifying the Default Styles](https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/modifying-the-default-styles.md), the `customStyle` property in the `uiCustomData` object allows you to modify the look of the payment page by passing custom CSS. Among other things, this can be used to hide elements from the page.

For example, if you want to make the payment page more minimalistic, you could remove the header, the form title, and some of the transaction detail elements by setting all of them to `display: none;`:

```json
<paymentPageData>
    <ppsJSONConfig>
        {
          "uiCustomData": {
            "customStyle": "#cg-amount-title,#cg-form-title,#cg-pd-title,#cg-header{display:none}"
          }
        }
    </ppsJSONConfig>
</paymentPageData>
```

This would result in a payment page that looks like this:

![A minimalistic payment page](https://3255314327-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FQDmIAW4sQ20lCItJGzcS%2Fuploads%2Fgit-blob-0d4cbb05316db78055f5ca9d508102fa93ba7a0f%2Fimage.png?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developers.hyp.co.il/enterprise/changing-the-default-payment-page-appearance/hiding-other-elements-from-the-page.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
